Qt 5.9 | Qt 3D | C++ Classes | QBackendNode

Qt 5.9.9 Reference Documentation

# QBackendNode Class

(Qt3DCore::QBackendNode)

The base class for all Qt3D backend nodes More...

Header: | #include <Qt3DCore/QBackendNode>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Types

enum | Mode { ReadOnly, ReadWrite }

## Public Functions

| QBackendNode(Mode mode = ReadOnly)
virtual | ~QBackendNode()
bool | isEnabled() const
Mode | mode() const
QNodeId | peerId() const
void | setEnabled(bool enabled)

## Protected Functions

void | notifyObservers(const QSceneChangePtr &e)
virtual void | sceneChangeEvent(const QSceneChangePtr &e)

## Detailed Description

The base class for all Qt3D backend nodes

## Member Type Documentation

### enum QBackendNode::Mode

The mode for the backend node.

Constant | Value
--- | ---
`Qt3DCore::QBackendNode::ReadOnly` | `0`
`Qt3DCore::QBackendNode::ReadWrite` | `1`

## Member Function Documentation

### QBackendNode::QBackendNode(Mode mode = ReadOnly)

Default constructs an instance of QBackendNode.

### `[virtual]` QBackendNode::~QBackendNode()

Destroys the instance of QBackendNode. The destructor is virtual.

### bool QBackendNode::isEnabled() const

Returns `true` if the backend node is enabled.

### Mode QBackendNode::mode() const

Returns the mode of the backend mode.

### `[protected]` void QBackendNode::notifyObservers(const QSceneChangePtr &e)

Notifies observers of scene change e.

### QNodeId QBackendNode::peerId() const

Returns the peer id of the backend node.

### `[virtual protected]` void QBackendNode::sceneChangeEvent(const QSceneChangePtr &e)

TODO e

### void QBackendNode::setEnabled(bool enabled)

Enables or disables the backend node by enabled.

See also isEnabled().